import { _decorator } from "cc";
import GFSMDefault from "../../fsm/Default/GFSMDefault";
import { GFSMDefaultAnim } from "../../fsm/Default/GFSMDefaultAnim";
import { GFSMAnimBase } from "../../fsm/GFSMAnimBase";
import GFSMBase from "../../fsm/GFSMBase";
import GRoleBase from "../GRoleBase";
import { ProgressBar } from "cc";
const { property,ccclass } = _decorator;

//阵营守护 水晶
@ccclass('GRoleCGCrystal')
export default class GRoleCGCrystal extends GRoleBase<{}>{
    
    @property(ProgressBar)
    bloodVolume:ProgressBar;
    
    protected fsmCreate(): GFSMBase {
        return new GFSMBase();
    }
    protected fsmAnimCreate(): GFSMDefaultAnim {
        return new GFSMDefaultAnim(this.spine);
    }

}


